#!/bin/sh
source /etc/profile



EchoAndFlush "Extracting files...";
tar -xzf bundle.tar.gz -C/
if [ "$?" -eq '0' ]; then 
   EchoAndFlush "  Success";
else
   EchoAndFlush "  Failed";
   exit 1;
fi

#create links for web resources
cd /var/docroot/PDS/WebAccess
ln -s extjs extjs-dev
cd -


cd /var/docroot/PDS/WebAccess/muc
ln -s ../extjs extjs-dev
cd -

EchoAndFlush "Programming front panel...";
isp -d 1 -f /var/pds/bin/pds_fp.bin > /dev/null
if [ "$?" -eq '0' ]; then 
   EchoAndFlush "  Success";
else
   EchoAndFlush "  Failed";
   exit 1;
fi

EchoAndFlush "Programming device 2...";
isp -d 2 -f /var/pds/bin/pds_ctrl.bin > /dev/null
if [ "$?" -eq '0' ]; then 
   EchoAndFlush "  Success";
else
   EchoAndFlush "  Failed";
   exit 1;
fi

EchoAndFlush "Upgrading kernel...";
/usr/sbin/flashcp /usr/local/bin/uImage /dev/mtd1
if [ "$?" -eq '0' ]; then 
   EchoAndFlush "  Success";
else
   EchoAndFlush "  Failed";
   exit 1;
fi


echo Script Status: GOOD >> /tmp/upgrade.log

EchoAndFlush "Rebooting system...";
reboot

exit 0;   

